Skip to main content
GET
/
networks
/
{network}
/
tokens
/
{address}
/
info
Token Info by Token Address
curl --request GET \
  --url https://pro-api.coingecko.com/api/v3/onchain/networks/{network}/tokens/{address}/info \
  --header 'x-cg-pro-api-key: <api-key>'
{
  "data": {
    "id": "eth_0xdac17f958d2ee523a2206206994597c13d831ec7",
    "type": "token",
    "attributes": {
      "address": "0xdac17f958d2ee523a2206206994597c13d831ec7",
      "name": "Tether USD",
      "symbol": "USDT",
      "decimals": 6,
      "image_url": "https://coin-images.coingecko.com/coins/images/325/large/Tether.png?1696501661",
      "image": {
        "thumb": "https://coin-images.coingecko.com/coins/images/325/thumb/Tether.png?1696501661",
        "small": "https://coin-images.coingecko.com/coins/images/325/small/Tether.png?1696501661",
        "large": "https://coin-images.coingecko.com/coins/images/325/large/Tether.png?1696501661"
      },
      "coingecko_coin_id": "tether",
      "websites": [
        "https://tether.to"
      ],
      "discord_url": null,
      "farcaster_url": null,
      "zora_url": null,
      "telegram_handle": null,
      "twitter_handle": "Tether_to",
      "description": "Tether (USDT) is a cryptocurrency with a value meant to mirror the value of the U.S. dollar...",
      "gt_score": 92.66055045871559,
      "gt_score_details": {
        "pool": 87.5,
        "transaction": 100,
        "creation": 100,
        "info": 100,
        "holders": 100
      },
      "gt_verified": true,
      "categories": [],
      "gt_category_ids": [],
      "holders": {
        "count": 9409235,
        "distribution_percentage": {
          "top_10": "47.5704",
          "11_30": "11.3944",
          "31_50": "5.1233",
          "rest": "35.9119"
        },
        "last_updated": "2026-03-18T03:13:27Z"
      },
      "mint_authority": null,
      "freeze_authority": null,
      "is_honeypot": false
    }
  }
}

Tips

Note

  • holders data is currently in Beta, with ongoing improvements to data quality, coverage, and update frequency.
    • Supported chains include: Solana, EVM (Ethereum, Polygon, BNB, Arbitrum, Optimism, Base), Sui, TON, and Ronin.
    • distribution_percentage is calculated based on the token’s total supply and includes all wallet types (CEX wallets, treasury/issuer wallets, etc.). Coverage includes:
      • Solana: top_10, 11_20, 21_40, rest
      • Other chains: top_10, 11_30, 31_50, rest
  • For tokens on a bonding curve (i.e. non-graduated tokens from launchpads), the response will include a launchpad_details object containing their graduation status and details.
  • Cache / Update frequency: every 60 seconds.

Authorizations

x-cg-pro-api-key
string
header
required

Path Parameters

network
string
default:eth
required

network ID *refers to /networks

Example:

"eth"

address
string
default:0xdac17f958d2ee523a2206206994597c13d831ec7
required

token contract address

Example:

"0xdac17f958d2ee523a2206206994597c13d831ec7"

Response

200 - application/json

Get specific token info on a network

data
object